Page MenuHomePhabricator

Add @covers annotations to MobileFrontend PHPUnit tests
Closed, ResolvedPublic

Description

Context

@Legoktm is generating hourly code coverage reports for a couple of extensions (T71685). MobileFrontend got added to that list but its tests aren't annotated with the appropriate @covers tags so the report isn't helpful at all (T71685#1332687).

Event Timeline

phuedx created this task.Jun 10 2015, 3:31 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added subscribers: phuedx, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 3:31 PM
phuedx updated the task description. (Show Details)Jun 10 2015, 3:31 PM
phuedx set Security to None.
phuedx moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Legoktm updated the task description. (Show Details)Jun 10 2015, 7:42 PM

Hourly? Nice.

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Aug 4 2015, 6:36 PM
Jdlrobson triaged this task as Normal priority.Sep 16 2015, 6:40 PM
Jdlrobson added a subscriber: Jdlrobson.

We used to care a lot about coverage of JS, and once the hype has died down, no one cares anymore. I'd say the same will happen to the PHP code.

Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-67-If, Then, Else...? board.

Change 276899 had a related patch set uploaded (by Jdlrobson):
Hygiene: Add some @cover tags

https://gerrit.wikimedia.org/r/276899

Done.
Bit curious though to why we are not seeing updates in https://tools.wmflabs.org/coverage/MobileFrontend/extensions_MobileFrontend.html given we already have @covers tags.

Change 276899 merged by jenkins-bot:
Hygiene: Add some @cover tags

https://gerrit.wikimedia.org/r/276899

Jdlrobson closed this task as Resolved.Mar 30 2016, 6:57 PM

Signing off. We won't see the benefit of doing this until T71685 is complete.